RPM::Problems(3)

NAME
RPM::Problems

DESCRIPTION

FUNCTION

  new($ts)
Create a new RPM::Problems from $ts RPM::Transaction

  $ps->count
Return the count of problem in the RPM::Problems

  $ps->print($handle)
Print into $handle the list of problem

  $ps->pb_info($num)
Return an hashref containing information for problem $num

string The problem in textual form
pkg_nevr The package causing the problem
alt_pkg_nevr The second package causing the problem, if any
type The type of the problem
key The key passed to  RPM::Transaction::add_install

AUTHOR
Olivier Thauvin <nanardon@nanardon.zarb.org>

LICENSE
This software is under GPL, refer to rpm license for details.